require 'rubygems'
require 'rspec'
require 'logger'
require 'lspace/rspec'

ROOT = Pathname(File.expand_path(File.join(File.dirname(__FILE__), '..')))
$LOAD_PATH << File.join(ROOT, 'lib')

require 'mooset'

Dir[File.join(ROOT, "spec/support/**/*.rb")].each {|f| require f}

RSpec.configure do |config|
  config.color = true

  config.before(:each) do
    LSpace[:logger] = Logger.new('test.log')
  end
end
