RSpec::Matchers.define :have_resource do |expected|
  match do |actual|
    expect(actual).to respond_to(expected)
    resource = actual.send(expected)

    expect(resource).to be_a(Mooset::Endpoints::Resource)
  end
end
