# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'mooset/version'

Gem::Specification.new do |spec|
  spec.name          = "mooset"
  spec.version       = Mooset::VERSION
  spec.authors       = ["Alexandru Keszeg"]
  spec.email         = ["akeszeg@gmail.com"]
  spec.summary       = %q{A Ruby library and client for user migration.}
  spec.description   = %q{Ruby library and client for user migration.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "gitlab", "~> 4.3.0"
  spec.add_dependency "virtus", "~> 1.0.5"
  spec.add_dependency "net-ldap", "~> 0.16"
  spec.add_dependency "lspace", "~> 0.13"

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.1.0"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "highline"
end

